Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Class GLTextureWindow

    java.lang.Object
      codeanticode.glgraphics.GLWindow
          codeanticode.glgraphics.GLTextureWindow

    public class GLTextureWindow

extends GLWindow

An undecorated ligheweight AWT window to show just a single texture created in the main OpenGL context of the parent PApplet. The renderer in parent must be of type GLGraphics.

Constructor Summary
`GLTextureWindow(processing.core.PApplet parent, int x, int y, int w, int h)` Creates an instance of GLTextureWindow with the specified size (w, h) and position (x, y), which will show texture tex in it.

Method Summary
`void` | `hide()` Hides the window.
`void` | `init()` Initializes the window.
`void` | `init(boolean override)` Initializes the window, setting the override property to the desired value.
`boolean` | `isVisible()` Returns whether the window is visible or not.
`boolean` | `ready()` Returns true or false depending on whether or not the internal renderer has been initialized.
`void` | `render()` Draws the window, if the renderer has been initialized.
`void` | `setLocation(int x, int y)` Sets the window location.
`void` | `setTexture(GLTexture tex)`
`void` | `show()` Shows the window.
`void` | `tint(int color)` Sets the texture tint color.

Methods inherited from class codeanticode.glgraphics.GLWindow
`getOverride, setOverride`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLTextureWindow

    public GLTextureWindow(processing.core.PApplet parent,
                           int x,
                           int y,
                           int w,
                           int h)

  Creates an instance of GLTextureWindow with the specified size (w, h) and position (x, y), which will show texture tex in it.

  Parameters:
    `parent` - PApplet
    `tex` - GLTexture
    `x` - int
    `y` - int
    `w` - int
    `h` - int

Method Detail

### setTexture

    public void setTexture(GLTexture tex)

### init

    public void init()

  Initializes the window.

### init

    public void init(boolean override)

  Initializes the window, setting the override property to the desired value.

  Parameters:
    `override` - boolean

### show

    public void show()

  Shows the window.

  Specified by:
    `show` in class `GLWindow`

### hide

    public void hide()

  Hides the window.

  Specified by:
    `hide` in class `GLWindow`

### isVisible

    public boolean isVisible()

  Returns whether the window is visible or not.

  Specified by:
    `isVisible` in class `GLWindow`
  Returns:
    boolean

### tint

    public void tint(int color)

  Sets the texture tint color.

  Parameters:
    `int` - color

### ready

    public boolean ready()

  Returns true or false depending on whether or not the internal renderer has been initialized.

  Specified by:
    `ready` in class `GLWindow`
  Returns:
    boolean

### render

    public void render()

  Draws the window, if the renderer has been initialized.

  Specified by:
    `render` in class `GLWindow`

### setLocation

    public void setLocation(int x,
                            int y)

  Sets the window location.

  Parameters:
    `x` - int
    `y` - int

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library GLGraphics by Andres Colubri. (c) 2008